<!--
  Generated template for the AskPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar color="blue">
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Ask a question</ion-title>
  </ion-navbar>

</ion-header>

<ion-content>
  <ion-grid>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <ion-row>
      <h1>
        <ion-input [(ngModel)]="question" style="text-align: center" placeholder="Type your question here" type="text"></ion-input>
      </h1>
    </ion-row>
    <br>
    <br>
    <ion-grid>
      <ion-row>
      <ion-col col-4 full></ion-col>
      <ion-col col-4 full>
        <button ion-button full (click)="makeTagsList()">
          Add question tag
        </button>
      </ion-col>
      <ion-col col-4 full></ion-col>
    </ion-row>
    </ion-grid>
    <ion-list>
      <ion-item *ngIf="booleanTags">
        <!-- <ion-col > -->
        <!-- <ion-item> -->
        <div *ngFor="let tag of tags;let i=index">
          <ion-row *ngIf="i%3==0">

            <ion-col>
              <button ion-button round icon-end *ngIf="i<tags.length" (click)="deleteTag(i)">{{tags[i]}}
                <ion-icon name="trash" color="danger"></ion-icon>
              </button>
            </ion-col>
            <!-- <ion-col>
                  <button ion-button color="danger" *ngIf="i<diagnoses.length" style="float:left;" (click)="deleteDiagnosis(i)">X</button>
                </ion-col> -->
            <ion-col>
              <button ion-button round icon-end *ngIf="i+1<tags.length" (click)="deleteTag(i+1)">{{tags[i+1]}}
                <ion-icon name="trash" color="danger"></ion-icon>
              </button>
            </ion-col>
            <!-- <ion-col>
                  <button ion-button color="danger" *ngIf="i+1<diagnoses.length" style="float:left;" (click)="deleteDiagnosis(i+1)">X</button>
                </ion-col> -->
            <ion-col>
              <button ion-button round icon-end *ngIf="i+2<tags.length" (click)="deleteTag(i+2)">{{tags[i+2]}}
                <ion-icon name="trash" color="danger"></ion-icon>
              </button>
            </ion-col>
            <!-- <ion-col>
                  <button ion-button color="danger" *ngIf="i+2<diagnoses.length" style="float:left;" (click)="deleteDiagnosis(i+2)">X</button>
                </ion-col> -->

            <!-- </ion-item> -->
          </ion-row>
        </div>
        <!-- </ion-col> -->
      </ion-item>


    </ion-list>

    <ion-row>
      <ion-col col-4></ion-col>
      <ion-col style="text-align: center">
        <button ion-button full color="secondary" (click)="submit()">ASK</button>
      </ion-col>
      <ion-col col-4></ion-col>
    </ion-row>


  </ion-grid>
</ion-content>